prod(1:5)
prod(1:10)
factorial(5)
factorial(10)

ncr=function(n,r) (factorial(n)/(factorial(r)*factorial(n-r)))
ncr(9,4)
ncr(9,5)
ncr(50,5)
ncr(50,45)

npr=function(n,r) factorial(n)/factorial(n-r)
npr(5,2)
npr(20,2)
npr(10,4)
npr(12,4)

